final: prev:

{
  gajim = prev.gajim.overrideAttrs (old: {
    # Enable notification sounds
    propagatedBuildInputs = old.propagatedBuildInputs ++ [ prev.gsound ];
  });

  animedl = prev.animedl.overrideAttrs (old: {
    extraPkgs = pkgs: with final; [ mpv ];
  });

  lutris-free = prev.lutris-free.override {
    extraPkgs = ps: with ps; [ openssl ];
  };
  
  retroarch = prev.retroarch.override (old: {
    cores = with prev.libretro; [
      desmume
      sameboy
      mgba
      mupen64plus
      parallel-n64
    ];
  });

  libvirt = prev.libvirt.override {
    # NOTE: This to prevent libvirt from using iptables and loading
    #       ip_tables and the likes
    iptables = prev.iptables-nftables-compat;
  };

  nwg-launchers = prev.nwg-launchers.overrideAttrs (old: rec {
    version = "0.6.3";

    src = prev.fetchFromGitHub {
      owner = "nwg-piotr";
      repo = "nwg-launchers";
      rev = "v${version}";
      sha256 = "05aih05z5dybbv67qjmn90yjrk1k2l0v83hhglqqdin18k5xhq21";
    };
  });

  myxer = prev.myxer.overrideAttrs (old: {
    cargoPatches = [ ../patches/myxer/0000-1.2.1-set-gio-version.patch ];
  });

  phosh = prev.phosh.overrideAttrs (old: {
    src = prev.fetchFromGitLab {
      domain = "gitlab.gnome.org";
      group = "World";
      owner = "Phosh";
      repo = "phosh";
      rev = "v0.14.1";
      fetchSubmodules = true;
      sha256 = "sha256-FILSNVBYpWSPXeDb1Vc4jZ7zJMg0Gj6EY5yoc81gUr0=";
    };
    patches = [
      (builtins.fetchurl {
         url = "https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/923.patch";
         sha256 = "0fad4x8hzpaf7aq6acfz90njjjrvyc9ipndxmh4kqnm03n7300x0";
       })
    ];
  });

  xournalpp-git = prev.xournalpp.overrideAttrs (old: {
    version = "1.1.1";
    src = prev.fetchFromGitHub {
      owner = "bhennion";
      repo = "xournalpp";
      rev = "5d1545b0c4303e45b4ddf4ef8a1565eba822a9af";
      sha256 = "1d17lvydlny9pvaxa9xy53wxs7i6d563lp5r9g3r1xpgnb7zli8v";
    };
  });

  /*
  discord = prev.discord.overrideAttrs (old: {
    version = "0.0.17";
    src = prev.fetchurl {
      url = "https://dl.discordapp.net/apps/linux/0.0.17/discord-0.0.17.tar.gz";
      sha256 = "sha256-NGJzLl1dm7dfkB98pQR3gv4vlldrII6lOMWTuioDExU=";
    };
  });
  */

  tor-browser-bundle-bin = prev.tor-browser-bundle-bin.override {
    useHardenedMalloc = false;
  };

  discord-app = prev.discord-app.override { chromium = prev.ungoogled-chromium; };
}
